
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用Topshelf 5步创建Windows 服务 / iVAN</title>

    <meta name="description" content="使用Topshelf 5步创建Windows 服务 使用Topshelf创建Windows 服务简要的介绍了创建Windows服务的另一种方法,老外的一篇文章Create a .NET Windows Service in 5 steps with Topshelf通过5个步骤详细的介绍使用使用Topshelf创建Windows 服务.Topshelf是一个开源的跨平台的宿主服务框架,支持Windows和Mono,只需要几行代码就可以构建一个很方便使用的服务宿主. 1.Topshelf的代码托管在http://topshelf-project.c">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用Topshelf 5步创建Windows 服务</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>使用Topshelf创建Windows 服务简要的介绍了创建Windows服务的另一种方法，老外的一篇文章Create a .NET Windows Service in 5 steps with Topshelf通过5个步骤详细的介绍使用使用Topshelf创建Windows 服务。Topshelf是一个开源的跨平台的宿主服务框架，支持Windows和Mono，只需要几行代码就可以构建一个很方便使用的服务宿主。</p>
<p>1、Topshelf的代码托管在<a href="http://topshelf-project.com/" rel="external nofollow noreferrer">http://topshelf-project.com/</a>，可以在这里下载到最新的代码。</p>
<p>2、使用Visual Studio创建一个控制台应用程序引用程序集TopShelf.dll 合log4net.dll 。</p>
<p>3、创建一个简单的服务类，里面包含两个方法Start和Stop，这个服务只是演示代码，所以我们每隔5秒输出一个日志。</p>
<pre><code>using System;
using System.Timers;
using log4net;

namespace SampleWindowsService
{
public class SampleService
{
private Timer _timer = null;
readonly ILog _log = LogManager.GetLogger(typeof(SampleService));

public SampleService()
{
double interval = 5000;
_timer = new Timer(interval);
_timer.Elapsed += new ElapsedEventHandler(OnTick);
}

protected virtual void OnTick(object sender, ElapsedEventArgs e)
{
_log.Debug("Tick:" + DateTime.Now.ToLongTimeString());
}

public void Start()
{
_log.Info("SampleService is Started");

_timer.AutoReset = true;
_timer.Enabled = true;
_timer.Start();
}

public void Stop()
{
_log.Info("SampleService is Stopped");

_timer.AutoReset = false;
_timer.Enabled = false;
}
}
}
4、在Main方法中使用Topshelf宿主我们的服务，主要是告诉Topshelf如何设置我们的服务的配置和启动和停止的时候的方法调用。
using System.IO;
using log4net.Config;
using Topshelf;

namespace SampleWindowsService
{
class Program
{
static void Main(string[] args)
{
XmlConfigurator.ConfigureAndWatch(
new FileInfo(".\\log4net.config"));

var host = HostFactory.New(x =&gt;
{
x.EnableDashboard();
x.Service&lt;SampleService&gt;(s =&gt;
{
s.SetServiceName("SampleService");
s.ConstructUsing(name =&gt; new SampleService());
s.WhenStarted(tc =&gt;
{
XmlConfigurator.ConfigureAndWatch(
new FileInfo(".\\log4net.config"));
tc.Start();
});
s.WhenStopped(tc =&gt; tc.Stop());
});

x.RunAsLocalSystem();
x.SetDescription("SampleService Description");
x.SetDisplayName("SampleService");
x.SetServiceName("SampleService");
});

host.Run();
}
}
}
</code></pre>
<p>4、配置Log4net和运行我们的服务，服务可以当作控制台来运行，这在开发的时候是非常方便的。服务的安装很方便<br />SampleWindowsService.exe install<br />安装成功后，可以通过服务控制台启动，或者也可以通过一下命令运行<br />SampleWindowsService.exe start<br />服务的卸载方法也非常简单了<br />SampleWindowsService.exe uninstall</p>
<p>本文来自合作伙伴“doNET跨平台”，了解相关信息可以关注“opendotnet”微信公众号</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 09:01:07</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/void/" title="void">void</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e5%88%b6%e5%8f%b0/" title="控制台">控制台</a>, <a href="https://www.iamivan.net/tag/log/" title="LOG">LOG</a>, <a href="https://www.iamivan.net/tag/service/" title="service">service</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81%e6%89%98%e7%ae%a1/" title="代码托管">代码托管</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用Topshelf 5步创建Windows 服务的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmQ59M.html" rel="bookmark">C&num;通过创建Windows服务启动程序的方法详解&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了C#通过创建Windows服务启动程序的方法.分享给大家供大家参考,具体如下: 1. 新建一个Windows服务应用程序 创建项目--&gt;Visual C# 左侧的&quot;+&quot;--&gt;Windows --&gt;Windows 服务(右侧模板)--&gt;输入名称,确定创建项目 2. 设置Windows服务的属性(Windows服务里没有窗体,所以点击左侧设计器里空白的地方即可在右侧属性栏里看到属性) 这里属性是控制服务器是否可以停止,暂停,继续等等的操作.根据需要选择			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7a4ZM.html" rel="bookmark">如何创建Windows服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建Windows服务的项目 新建项目-&gt;C++语言-&gt;ATL-&gt;ATL项目-&gt;服务(EXE) 这样就创建了一个Windows服务项目. 生成的解决方案包含两个项目:Services.ServicesPS .其实主要是使用Services,VS2012下不清楚为什么生成了两个项目. 注册Windows服务 Windows服务第一次启动时,是需要注册的,注册方式可以通过命令行或批处理的方式. Services.exe -regserver 卸载Windows服务 既然服务需要注册,那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN0147z.html" rel="bookmark">使用Topshelf创建Windows 服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Winndows Service 是一种可随 Windows 操作系统启动而启动的,在后台运行的,通常不和用户产生交互的程序.它无法通过双击来运行,类似于 Unix 守护进程(daemon processes),当用户注销时它也不会停止. Windows 服务由三部分组成: 一个服务可执行文件:一个服务控制程序(SCP):服务控制管理器(SCM),负责在 HKLM&quot;SYSTEM&quot;CurrentControlSet&quot;Services 下创建服务键值.用户可通过 SCP 控制服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnaEOM.html" rel="bookmark">用&period;NET创建Windows服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window|创建 我们将研究如何创建一个作为Windows服务的应用程序.内容包含什么是Windows服务如何创建.安装和调试它们.会用到System.ServiceProcess.ServiceBase命名空间的类.  什么是Windows服务 Windows服务应用程序是一种需要长期运行的应用程序它对于服务器环境特别适合.它没有用户界面并且也不会产生任何可视输出.任何用户消息都会被写进Windows事件日志.计算机启动时服务会自动开始运行.它们不要用户一定登录才运行它们能在包括这个系统内的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62wWAM.html" rel="bookmark">创建windows服务&comma;定时监控网站应用程序池</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近网站总是报&quot;Timer_Connection&quot;错误,导致该网站所使用的应用程序池由于错误过多停止运行,网站也就出现了service unvaliable,无法访问,在网上查了很多资料, 结果很让人无奈,这个问题已经困扰我了很久,一直没有得到解决,后来同事发来一篇文章让我有了新的解决方法,虽然不能根本解决这个报错,但可以快速清空并恢复指定的应 用程序池 不多说了,看看下面这个方法吧,主要是创建一个连接(如你要监控的网站的一个地址),如果能访问到这个页面说明网站应用程序池没有问题,如果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8qvmp.html" rel="bookmark">用&period;NET创建Windows服务的方法第1&sol;2页&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				译者说明:我是通过翻译来学习C#的,文中涉及到的有Visual Studio.NET有关操作,我都根据中文版的VS.NET显示信息来处理的,可以让大家不致有误解. 作者:Mark Strawmyer 我们将研究如何创建一个作为Windows服务的应用程序.内容包含什么是Windows服务,如何创建.安装和调试它们.会用到System.ServiceProcess.ServiceBase命名空间的类. 什么是Windows服务? Windows服务应用程序是一种需要长期运行的应用程序,它对于服务器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNrrJM.html" rel="bookmark">用C＃创建Windows&lpar;NT&rpar;服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window|创建 Windows服务在Visual Studio 以前的版本中叫NT服务,在VS.net启用了新的名称.用Visual C# 创建Windows服务不是一件困难的事,本文就将指导你一步一步创建一个Windows服务并使用它.这个服务在启动和停止时,向一个文本文件中写入一些文字信息.这个小技巧来自于MSDN,但是现在程序编写的更加清晰,并且你可以根据你的需要修改它.可下载工程文件包:mcWinService.zip. 第一步:创建服务框架 要创建一个新的 Windows 服务,可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWO47M.html" rel="bookmark">vb&period;net中windows服务的创建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				window|创建   无论windows服务执行什么样的处理,创建与安装服务的步骤都十分相似.visual studio提供了windows services项目类型,利用它可以迅速创建windows服务,一下介绍简单的步骤: 1)新建项目,在new project对话框中,选择windows服务图标,在对话框name字段输入服务名称,确定.visual studio将显示服务的设计视图. 2)在服务属性里面进行设置:servicebase类的属性如下:               a.aut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKEv0z.html" rel="bookmark">C&num;创建、安装一个Windows服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于WIndows服务的介绍,之前写过一篇:http://blog.csdn.net/yysyangyangyangshan/article/details/7295739.可能这里对如何写一个服务不是很详细.现在纯用代码的形式介绍一下windows服务是如何开发和安装的. 开发环境:Win7 32位:工具:visualstudio2010. 因为win7自带的就有.net环境,算是偷一下懒吧.因为无论是手动安装或程序安装都要用到.一个目录(默认C盘为操作系统的情况):C:\Windows\Mi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQYrbq.html" rel="bookmark" class="title">10个技巧让用户拥有暖心的VIP体验</a>
					<div>
						  网站的参与感也属于用户体验的是否到位的衡量标准之一.我们所认知的用户体验可能只是如何让用户浏览时更顺畅舒适?又或是如何让用户减少思考和点击?而这些都只是于网站操作的用户体验,还有一种情感上的用户体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAAY2M.html" rel="bookmark" class="title">由360手机卫士谈起&mdash;&mdash;让你的service获取最高权限。</a>
					<div>
						近日来,我在倒腾360手机卫士的时候,发现,你无论是把他数据清空,还是把它强行停止以后,甚至是把它卸载以后,它的service都没有被Android的系统干掉,依然是岿然不动了.我就感到了纳闷了,后来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqOLaz.html" rel="bookmark" class="title">Jquery实现动态切换图片的方法</a>
					<div>
						  本文实例讲述了Jquery实现动态切换图片的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkaV7b.html" rel="bookmark" class="title">PHP与EXCEL PHPExcel</a>
					<div>
						1.PHPExcel简介 PHPExcel 是用来操作Office Excel 文档的一个PHP类库,它基于微软的OpenXML标准和PHP语言.可以使用它来读取.写入不同格式的电子表格,如 Exce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bojvjz.html" rel="bookmark" class="title">影响搜索引擎排名&lpar;SEO&rpar;的内容因素</a>
					<div>
						搜索引擎|索引|seo|搜索排名 今天来和大家分析一下影响搜索引擎排名(SEO)的内容因素: 原则之一:内容越丰富,对SEO越有利! 为什么有这样一个原则呢? 我们就要学会分析搜索引擎的算法,如何分析 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ4yWz.html" rel="bookmark" class="title">显示以OLE对象存储图片的方法</a>
					<div>
						问题原型: http://expert.csdn.net/Expert/topic/2517/2517974.xml?temp=.4831049 在 ASP 中, 我们经常需要在 Web 页面上显示以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mveq9b.html" rel="bookmark" class="title">新手SEO从业者必须学会的SEO方法</a>
					<div>
						SEO,搜索引擎优化,简而言之,就是利用搜索引擎的搜索规则来提高目的网站在有关搜索引擎内的排名的方式,最终达到提高网站访问量.提升网站宣传能力的目的.适当运用SEO来为网站服务非常重要,但这在之前是被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwQo8M.html" rel="bookmark" class="title">草根站长的呼吁：让我们正确对待seo</a>
					<div>
						2010年3月,我开始接触.认识和了解seo.作为一个seo菜鸟,原本不该班门弄斧,自取其辱.但在与seo为伍这段时间,自己也切身体会到了一些曾经未曾体会过的东西.还对当初背诵的seo概念记忆犹新:s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWLPqp.html" rel="bookmark" class="title">跟我一起写Makefile（二）</a>
					<div>
						三.命令出错 每当命令运行完后,make会检测每个命令的返回码,如果命令返回成功,那么make会执行下一条命令,当规则中所有的命令成功返回后,这个规则就算是成功完成了.如果一个规则中的某个命令出错了( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx0B0b.html" rel="bookmark" class="title">【玩转&period;Net MF &ndash; 04】远程屏幕截图</a>
					<div>
						实现远程屏幕截图的思路很简单,就是直接获取设备的显存数据,由PC再现画 面.由于我们已经实现了Custom信道,所以我们在原有程序基础上,增添一个 Custom_Command_Screenshots ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjRxlp.html" rel="bookmark" class="title">LinkedList和List在三种简单算法中效率比较</a>
					<div>
						.Net 框架提供了两种List类型,一种是基于链表的LinkedList, 一种是基于数组的List.那么在实际应用中到底采用哪种List,如何取舍呢?本文对两种类型在队列,堆栈和简单插入三种简单算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ygKvz.html" rel="bookmark" class="title">交换两个文本内容的C语言代码</a>
					<div>
						这篇文章主要介绍了交换两个文本内容的C语言代码,有需要的朋友可以参考一下 文本存储的位置:   jack.txt位于:    e:jack.txt   retchie.txt位于:     e:ret ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXWXjp.html" rel="bookmark" class="title">如何在Excel2010中创建迷你图&quest;</a>
					<div>
						  1.打开需要编辑的资料,单击H4单元格,在&quot;插入&quot;选项卡的&quot;迷你图&quot;中,选择迷你图的类型. 2.打开&quot;创建迷你图&quot;. 3.在&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkexOb.html" rel="bookmark" class="title">UC云转码怎么用</a>
					<div>
						  使用UC云转码前,必须先将视频文件离线下载到UC云网盘中,然后才能进行云转码. 1.打开UC浏览器,主菜单→下载/应用→UC网盘,离线下载即位于右上角. 2.点击进入离线下载,点击&quot;新建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1D67b.html" rel="bookmark" class="title">U盘量产不能启动的一些原因</a>
					<div>
						  很多人说明明量产成功了,为什么不能启动电脑呢?这个问题很复杂,首先要求电脑本身支持USB启动,然后是你量产时选择的ISO必须要支持USB启动. 很多人忽略了一点:USB光驱启动和IDE光驱启动是不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEkvkp.html" rel="bookmark" class="title">用Dart搭建HTTP服务器（3）</a>
					<div>
						基于URL的请求模式 为了不搞复杂,就简单演示一下 先把需要用到的route包分享出来http://pan.baidu.com/s/1hq1rxI0 import 'dart:io'; import  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NLgqz.html" rel="bookmark" class="title">eclipse常规设置（修改边框颜色）</a>
					<div>
						问题描述 eclipse常规设置(修改边框颜色) 如图,去掉边框着色,换成默认的就好,这样看着特别扭					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A1Xxz.html" rel="bookmark" class="title">观点：想卖出颠覆性的产品？先颠覆用户的思维模式</a>
					<div>
						人人都知道这样的故事:一个团队开发出一种突破性的创新产品,但是这种产品在公司内部讨论多时,却迟迟未能上市.后来,它终于面市了,一开始还在首批购买者中掀起一股销售热潮:可是好景不长,销售疲软的残酷现实接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjZjWM.html" rel="bookmark" class="title">文章内链应有的三种设计</a>
					<div>
						摘要: 互联网上每一个元素都在试图分散你的注意力,源源不断的链接总引诱你走向下一个网页或者下一件商品.链接,是网络世界的骨架,也是人们在进行长篇阅读时打断他们的罪魁祸首. 互联网上每一个元素都在试图分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn759M.html" rel="bookmark" class="title">GridView实战二：使用ObjectDataSource数据源控件&lpar;自定义缓存机制实现Sort&rpar;</a>
					<div>
						  参考资料:http://www.cnblogs.com/fsjohnhuang/archive/2011/12/17/2291200.html 因为使用ObjectDataSource自带的缓存机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJmwmp.html" rel="bookmark" class="title">请高手指点一个RFC的问题</a>
					<div>
						问题描述 我在SAP中写了个rfc函数,是通过ole读取卡号,在sap中测试没问题,但在.net中调用时却读不出来.连读卡的声都没有..net中调用rfc的代码没问题,但读出的卡号为空.具体地说,就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7wkkb.html" rel="bookmark" class="title">企业如何有效管理非机构化数据</a>
					<div>
						随着非机构化数据,如音频.视频和图片类的数据量呈爆炸式增长,需要存储的数据量更是成几何数字上涨.但是很多企业仍采用传统数据存储方案,通过扩展存储系统来满足其非结构内容的存储需求.其实,无论NAS还是S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl83rp.html" rel="bookmark" class="title">网购对于许多人来说，可能已经是家常便饭</a>
					<div>
						但是如果叫您通过点击鼠标,从网上购买一辆售价几万甚至几十万的汽车,您能接受吗?斯柯达牵手支付宝.吉利欲与阿里巴巴合作网上销售汽车,网上购车已开始进入人们的视野.今天,重庆晚报城市卖场特别携手部分汽车厂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKmwyM.html" rel="bookmark" class="title">谷歌反作弊团队二三事</a>
					<div>
						在外界想来,一个搜索引擎公司的反作弊团队,不同于Google 其他工程师组合,多少让人觉得有些严肃和另类,当认定某个搜索结果是作弊后的产物时,他们似乎有能力做出并执行冷酷的判决.但实际上,在Googl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOgo2b.html" rel="bookmark" class="title">VBS教程：正则表达式简介 -正则表达式&lowbar;vbs</a>
					<div>
						正则表达式 如果原来没有使用过正则表达式,那么可能对这个术语和概念会不太熟悉.不过,它们并不是您想象的那么新奇. 请回想一下在硬盘上是如何查找文件的.您肯定会使用 ? 和 * 字符来帮助查找您正寻找的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0oBwz.html" rel="bookmark" class="title">用gdb分析coredump的一些技巧</a>
					<div>
						前几天我们正在运营的一款产品发生了崩溃,我花了两天尝试用 gdb 分析了 coredump ,虽然最后还是没能找到 bug ,但还是觉得应该做一些总结. 产品是基于 skynet 开发的,由于历史原因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY2m6b.html" rel="bookmark" class="title">天云郭宏：谈传统IDC困境 指点云建设</a>
					<div>
						本文讲的是&lt;strong&gt;天云郭宏:谈传统IDC困境 指点云建设,&lt;/strong&gt;[IT168 评论]近日,由中国通信学会主办,欧洲数据中心产业联盟.RoyalHaskoni ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKka5z.html" rel="bookmark" class="title">无法加载 DLL&OpenCurlyDoubleQuote;ic&period;dll&rdquo;&colon; 找不到指定的模块。 &lpar;异常来自 HRESULT&colon;0x8007007E&rpar;</a>
					<div>
						问题描述 此IC.dll为非托管的动态链接库文件,我放到到了VB.NET项目的bin下的DEBUG下了form程序代码如下:ImportsSystem.Runtime.InteropServicesP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GXJAp.html" rel="bookmark" class="title">SCCM2007操作系统部署出现0xC0000005错误解决方法</a>
					<div>
						SCCM 2007操作系统部署 出现0xC0000005错误的 解决方法 如下: 此问题的产生的原因为内存不足, 所以需要添加虚拟机的内存到512M或是更多,这样问题就可以解决啦, 不会再出现0xC0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRmvwz.html" rel="bookmark" class="title">哪些情况下备案号会被取消</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站备案制度是我国网站建设中的前置 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
